<!DOCTYPE html>
<html lang="en">
<head>
  <title>Bootstrap Example</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>

<div class="container">
  <h2>Striped Rows</h2>
  <p>The .table-striped class adds zebra-stripes to a table:</p>            
  <table class="table table-striped">
    <thead>
      <tr>
        <th>Firstname</th>
        <th>Lastname</th>
        <th>Email</th>
        <th> Details</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>John</td>
        <td>Doe</td>
        <td>john@example.com</td>
        <td> <button class="btn btn-info" id="btn-info1"> info 1 </button> </td>
      </tr>
      <tr>
        <td>Mary</td>
        <td>Moe</td>
        <td>mary@example.com</td>
        <td> <button class="btn btn-info" id="btn-info2"> info 2 </button> </td>
      </tr>
      <tr>
        <td>July</td>
        <td>Dooley</td>
        <td>july@example.com</td>
        <td> <button class="btn btn-info" id="btn-info3"> info 3</button> </td>
      </tr>
    </tbody>
  </table>
</div>

</body>
<script>
  "use strict";
  
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

  /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */ 
  $(document).ready(function(){
    //gán sưk kiện cho nút btn info 1
    $("#btn-info1").on('click', onClickBtnInfo1);
    //gán sự kiện cho nút btn info 2
    $("#btn-info2").on('click', onClickBtnInfo2);
    //gán sự kiện cho nút btn info 3
    $("#btn-info3").on('click', onClickBtnInfo3);
  })
  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  //hàm được gọi khi bấm nút btn info 1
  function onClickBtnInfo1(){
    console.log("info 1 được ấn");
    $("#btn-info1") //truy vấn nút element #btn-info1 nút btn info 1 by id
      .parents("tr") //tìm parent
      //.css({"color": "red", "background-color": "purple"})
      .css("color", "white") //dùng phương thức css() đổi màu chữ trong thẻ tr
      .css("background-color", "green"); //dùng phương thức đổi màu nền trong thẻ tr
  }
  //hàm được gọi khi bấm nút btn info 2
  function onClickBtnInfo2(){
    console.log("info 2 được ấn");
    $("#btn-info2") // truy vấn element #btn-info2 by id
    .parents() // tim parent
    .find(".container") //select những element (div) có class là container
    .css({"border": "2px solid green"}); // dùng phương thức .css() thêm border và kích cỡ border và màu cho border
  }
  //hàm goi được khi ấn nút btn info 3
  function onClickBtnInfo3(){
    console.log("info 3 được ấn");
      $("#btn-info3")//truy vấn element #btn-info3 by id
        .parents("tr") // tìm parent
        .find("td:nth-child(3)") //tìm đến ô (cell) bên trái (TD), ô chứa email
        .css({"color": "red"}); //đổi màu chữ thành màu đỏ
  }
  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/ 
</script>
</html>
